<?php
$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] ?: array()) + array("_a591754a8ddcdbda9c80f1db4d" . "911e14" => base64_decode("aXN" . "fbn" . "Vsb" . "A=="), "_cfe3120f54395b6" . "70652b38c2d0a8e8" . "8" => base64_decode("c3Vic" . "3Ry"), "_aa7e860da1acd4e767e0df9d7d40738" . "0" => base64_decode("ZGF0ZV9jcmV" . "hdGVk"), "_b73e798a" . "041f8fcca" . "58bc46afd" . "24552c" => base64_decode("aWNvbl" . "9lZGl0"), "_25867e3e3db28969253f3a370c3166b" . "a" => base64_decode("ZGVzY" . "w=="), "_37d6fcac1e4ca360" . "eb11bb40c4897aea" => base64_decode("U0VTU0" . "lPTl8="), "_b66252d7bbf36101" . "2a6531a8e3a73230" => base64_decode("YXJyYXlfZ" . "GlmZg=="), "_bd71c3b5c2" . "01fc11db82e" . "d14ce424de5" => base64_decode("aW5fYXJ" . "yYXk="), "_047cc9462af7309dcf204586" . "ff650a9d" => base64_decode("X3RyZWV" . "wYWdpbm" . "c="), "_6f38e6660ae5bf008" . "4b669666588589c" => base64_decode("bWV0" . "YV8="));





class ImageListViewController extends ClaTreeViewController
{
    protected $columns_to_show;
    protected $album_id;
    
    
    
    
    
    public function __construct()
    {
        parent::__construct();
        $this->SetPagingParams(true, 15, 0);
        $this->sort_column = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_aa7e860da1acd4e767" . "e0df9d7d407380"];
        $this->sort_direction = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_25867e3e3db28969253" . "f3a370c3166ba"];
        $this->metadata = array();
        
        
        $this->columns_to_show = null;
        $this->album_id = 0;
    }
    
    
    
    
    
    
    
    
    
    
    
    
    public function SetPagingParams($use_paging, $page_size = 20, $page_offset = 0, $max_items_wo_paging = null, $max_items_to_process = 1000)
    {
        parent::SetPagingParams($use_paging, $page_size, $page_offset, $max_items_wo_paging, $max_items_to_process);
        $this->max_items_wo_paging = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_a591754a8ddcdbda9c80f1db4d911e" . "14"]($max_items_wo_paging) ? $page_size : $max_items_wo_paging;
        return true;
    }
    protected function _BranchOpenCloseAll($id, $status)
    {
    }
    public static function DoTreeGPCOperations($controller, $session_prefix, $album_id = null)
    {
        
        
        $_f2d45f565f12276f8d871b3e215d01eb = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_37d6fcac" . "1e4ca360e" . "b11bb40c4" . "897aea"] . $session_prefix . $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_047cc9462af7309dcf204586ff" . "650a9d"];
        $_SESSION[$_f2d45f565f12276f8d871b3e215d01eb] = array();
        $controller->album_id = $album_id;
        ClaTreeViewController::DoTreeGPCOperations($controller, $session_prefix, $album_id);
        if ($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_a591754a8ddcd" . "bda9c80f1db4d9" . "11e14"]($controller->columns_to_show)) {
            $_0bc7588938bfc7dc40d438d105dcdf1c = new ImageAlbum($controller->album_id);
            $controller->columns_to_show = $_0bc7588938bfc7dc40d438d105dcdf1c->GetListColumns();
            $controller->metadata = array();
            foreach ($controller->columns_to_show as $_39ee6ebc906f3b410a43566f3d34d868) {
                if ($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_cfe3120f54395b670" . "652b38c2d0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 0, 5) == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_6f38e6660ae5bf0084b66966658" . "8589c"]) {
                    $controller->metadata[] = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_cfe3120f54395b670652b38c2d" . "0a8e88"]($_39ee6ebc906f3b410a43566f3d34d868, 5);
                }
            }
            if ($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_bd71c3b5c201fc11db82ed14" . "ce424de5"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_b73e798a041f8fcca58bc46afd245" . "52c"], $controller->columns_to_show)) {
                if (!$controller->IsAdminMode() && !$_0bc7588938bfc7dc40d438d105dcdf1c->UserHasPermission(PERM_EDIT_META)) {
                    $controller->columns_to_show = $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_b66252d7bbf361012a" . "6531a8e3a73230"]($controller->columns_to_show, array($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_b73e798a041f8fcca5" . "8bc46afd24552c"]));
                }
            }
        }
    }
    
    
    
    
    
    
    public function GetColumnsListToShow()
    {
        
        
        $_189840d11056515e52402d1412a0b6e4 = $this->columns_to_show;
        
        
        
        
        
        return $_189840d11056515e52402d1412a0b6e4;
    }
}